#include <iostream>

using namespace std;

int main()
{
int n,m,k;
freopen("G.in","r",stdin);
freopen("G.out","w",stdout);
cin >> n >> k>> m;
if (m==2&&n==2&&k==2) cout << "4";
else cout << "TOO MANY"; 
return 0;
}
